<template>
  <div class="announcements-page">
    <IntroSection :title="page_name" />

    <div class="container">
      <div class="head">
        <el-tabs v-model="tab_key">
          <el-tab-pane name="all" label="All"></el-tab-pane>
        </el-tabs>

        <!-- <el-pagination :page-size="10" layout="prev, pager, next" :total="100">
        </el-pagination> -->
      </div>
    </div>

    <NewsList :data="news_data" />
  </div>
</template>

<script>
import _ from "lodash";
import qs from "qs";

export default {
  data() {
    return {
      page_name: "Announcements",
      tab_key: "all",
      news_data: [],
    };
  },
  head({ $config }) {
    return {
      title: `${this.page_name} - ${$config.title}`,
    };
  },
  mounted() {
    this.getAnnouncementData();
  },
  methods: {
    async getAnnouncementData() {
      const query = qs.stringify(
        {
          populate: "*",
          sort: ["createdAt:desc"],
        },
        {
          encodeValuesOnly: true,
        }
      );

      try {
        const res = await this.$appApi.get(`/announcements?${query}`);
        const data = _.get(res, "data");

        this.news_data = _.map(data, (d) => {
          return {
            id: _.get(d, "id"),
            ..._.get(d, "attributes"),
          };
        });
      } catch (error) {
        console.log(error);
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.announcements-page {
  .head {
    display: flex;
    margin-top: 80px;
    justify-content: space-between;
    pointer-events: none;
  }
}
</style>
